---
search:
  tags:
    - Brands
    - GET
seo:
  description: >-
    Retrieves a single brand and all its associated series… Reference for the
    GET /api/v1/{team_slug}/{app_slug}/brands/{brand_id} endpoint in the
    Management API.
sidebar:
  label: Retrieve a brand by ID
  badge: GET
title: Retrieve a brand by ID
type: openapi-operation
---
Retrieves a single brand and all its associated series by brand ID. Includes brand details, logo, cover image, description, translations, and all series under the brand.

`GET /api/v1/{team_slug}/{app_slug}/brands/{brand_id}`

**Responses**

- `200` — Brand returned successfully
- `400` — Invalid request (e.g. bad UUID, validation error)
- `401` — Unauthorized access
- `404` — Not found
- `500` — Internal server error

Response example, 200:

```json
{
  "data": {
    "address": {
      "city": "string",
      "co_address": "string",
      "country": "string",
      "house_number": "string",
      "postal_code": "string",
      "state_province": "string",
      "street_address": "string"
    },
    "cover": {
      "id": "string",
      "url": "string"
    },
    "created_at": "string",
    "description": "string",
    "email": "string",
    "id": "string",
    "logo": {
      "id": "string",
      "url": "string"
    },
    "name": "string",
    "series": [
      {
        "id": "string",
        "name": "string",
        "slug": "string"
      }
    ],
    "slug": "string",
    "translations": {
      "description": [
        {
          "id": "string",
          "locale": "string",
          "value": "string"
        }
      ]
    },
    "updated_at": "string"
  },
  "details": [
    "string"
  ],
  "success": true
}
```
